These are chat archives for opal/opal

28th
Mar 2017
Forrest Chang
@fkchang
Mar 28 2017 18:50
@elia or @/all need tips upgrading opal 0.8 to 0.10, I first had missing load_assets for Opal sprockets, added the opal-sprockets gem, now have uninitialized constant Opal::Config
Elia Schito
@elia
Mar 28 2017 20:19
@fkchang can you give some more context? Opal::Config is available in 0.10, maybe it's a missing require
Forrest Chang
@fkchang
Mar 28 2017 21:58
@elia I only changed gems to be more recent and added opal-sprockets, I didn't change any requires, do I need to add a require, though it's in opal-rails
NameError: uninitialized constant Opal::Config
~/.rvm/gems/ruby-2.2.1@retail-data/gems/opal-rails-0.9.0/lib/opal/rails/engine.rb:35:in `block (2 levels) in <class:Engine>'